import { Functional } from '../../../../../Class/Functional';
import { Done } from '../../../../../Class/Functional/Done';
import { System } from '../../../../../system';
export type I = {
    data: ShareData;
};
export type O = {};
export default class Share extends Functional<I, O> {
    constructor(system: System);
    f({ data }: I, done: Done<O>): Promise<void>;
}
